Bug 523989 - Nagios RPM missing html docs
Summary: Nagios RPM missing html docs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 14:17 UTC by Thomas Ellis
Modified: 2010-09-11 16:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-11 16:37:43 UTC


Attachments (Terms of Use)

Description Thomas Ellis 2009-09-17 14:17:05 UTC
Description of problem:
The nagios RPM is missing the documentation. 

Example (just showing two of the files listed)
[root@inara ~]# rpm -q nagios
8<snip>8
/usr/share/doc/nagios-3.2.0/Changelog
8<snip>8
/usr/share/nagios/html/docs/about.html

[root@inara ~]# ls -la /usr/share/doc/nagios-3.2.0/Changelog
ls: cannot access /usr/share/doc/nagios-3.2.0/Changelog: No such file or directory
[root@inara ~]# ls -la /usr/share/nagios/html/docs/about.html
ls: cannot access /usr/share/nagios/html/docs/about.html: No such file or directory

Version-Release number of selected component (if applicable):
[root@inara ~]# rpm -q nagios
nagios-3.2.0-2.fc11.i586

How reproducible:
Everytime.

Steps to Reproduce:
1. Install Nagios 
2. Try to read the documentation
  
Actual results:
It doesn't exist

Expected results:
Docs should exist

Additional info:
After installing nagios-3.2.0-2.fc11.src.rpm...
docs exist in nagios source package, they just aren't copied over in %install of the .spec

Probably needs something like:
%{__install} -d -m 0755 html/docs %{buildroot}/%{_datadir}/%{name}/html/docs
%{__install} -D -m 0755 {Changelog,INSTALLING,LICENSE,README,UPGRADING,UpgradeToVersion3.ReadMe,UpgradeToVersion3.sh} %{buildroot}/share/doc/%{name}-%{version}

Comment 2 Peter Lemenkov 2010-02-25 10:12:58 UTC
I'll take care of this issue

Comment 3 Bug Zapper 2010-04-28 10:26:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-07-30 10:44:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Peter Lemenkov 2010-09-11 16:37:43 UTC
Sorry for the one-year delay.

(Un)fortunately I can't confirm. It seems that your machine's configuration prevents installing docs. If problem still exists then please reopen this thicket.


Note You need to log in before you can comment on or make changes to this bug.